
//	Metamaxim ModelScope
//	Copyright 2003 Metamaxim Ltd

package Bank4;

import com.metamaxim.modelscope.callbacks.*;

public class SetUp extends Event {


	public void setLimit(EventValueAttribute attribute, Instance selected, String subscript) {
		attribute.setCurrency(AcInit.defaultLimit());
	}

	public void setFullName(EventValueAttribute attribute, Instance selected, String subscript) {
		attribute.setRule("WORD_CHAR_RULE", "Full Name must be supplied");
	}

	public void setAddress(EventValueAttribute attribute, Instance selected, String subscript) {
		attribute.setRule("WORD_CHAR_RULE", "Address must be supplied");
	}

	public void handleEvent() {

		Instance myCustomer = this.getInstance("Customer");

		Event register = this.createEvent("Register");
		register.submitToModel();

		Event openCurrent = this.createEvent("Open Current");
		openCurrent.setNewInstance("Account", "Current Account");
		openCurrent.setInstance("Owner", myCustomer);
		openCurrent.setString("Account Number", AcInit.nextAcNo(myCustomer));
		openCurrent.submitToModel();

		if (this.getBoolean("Savings")) {
			Event openSavings = this.createEvent("Open Savings");
			openSavings.setNewInstance("Account", "Savings Account");
			openSavings.setInstance("Owner", myCustomer);
			openSavings.setString("Account Number", AcInit.nextAcNo(myCustomer));
			openSavings.submitToModel();
		}
	}

}

